Copyright: Copyright © 1996 Global Majic Software, Inc.
Citation: Copyright © 1996 Global Majic Software, Inc.


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


AnnularColor
ANNULARCOLOR PROPERTY

Description

Determines the color of the annular currently selected by AnnularID.

Usage

[form.]control.AnnularColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting annular properties.

Related Properties

AnnularFloat, AnnularFloatOffset, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, AnnularStartValue and AnnularStopValue

Data Type

Long


AnnularFloat
ANNULARFLOAT PROPERTY

Description

Determines whether or not the annular (currently selected by AnnularID) is static or dynamic.  If AnnularFloat=TRUE (Dynamic), then the annular may be moved at run-time through the use of code.

Usage

[form.]control.AnnularFloat[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Dynamic (movable) Annular

FALSE	Static Annular

Remarks

See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularFloatOffset, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, AnnularStartValue and AnnularStopValue

Data Type

Integer (Boolean)


AnnularFloatOffset
ANNULARFLOATOFFSET PROPERTY

Description

Sets or returns the offset value of the annular region currently selected by AnnularID.  Essentially, this property is used to shift annular regions (if AnnularFloat=TRUE) by adding the offset to AnnularStartValue.  For example, if AnnularStartValue=2, AnnularStopValue=4 and AnnularFloatOffset=1, then the annular region will range from three (3) to five (5) instead of two (2) to four (4).  This is useful when trying to display a "floating" gauge (a gauge where the needle remains stationary and the tics and/or annulars move) such as a compass.

Usage

[form.]control.AnnularFloatOffset[ = single ]

Remarks

See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularFloat, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, AnnularStartValue and AnnularStopValue

Data Type

Single


AnnularID
ANNULARID PROPERTY

Description

Assigns a unique ID to each annular.  This property must be set before any other annular property (except Annulars).  The total number of annulars is determined by the Annulars property and AnnularID has valid values from 0 to Annulars-1.

Usage

[form.]control.AnnularID[ = integer ]

Remarks

The number of Annulars must be set before this property can be set.  See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularFloat, AnnularFloatOffset, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularScaleID, AnnularStartValue and AnnularStopValue

Data Type

Integer


AnnularInnerRadius
ANNULARINNERRADIUS PROPERTY

ANNULAROUTERRADIUS PROPERTY

Description

Determines the inner and outer radii of the annular currently selected by AnnularID.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.AnnularInnerRadius[ = single ]

[form.]control.AnnularOuterRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.  If this is not the case, the control will not crash but the annular will not display.  See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularFloat, AnnularFloatOffset, AnnularID, Annulars, AnnularScaleID, AnnularStartValue and AnnularStopValue

Data Type

Single


AnnularScaleID
ANNULARSCALEID PROPERTY

Description

Determines the scale (designated by ScaleID) on which the annular region currently selected by AnnularID is based.  The values of AnnularStartValue and AnnularStopValue for the selected annular (AnnularID) must fall in the range defined by ScaleMinValue and ScaleMaxValue.

Usage

[form.]control.AnnularScaleID[ = integer ]

Remarks

See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularFloat, AnnularFloatOffset, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars, AnnularStartValue and AnnularStopValue

Data Type

Integer


AnnularStartValue
ANNULARSTARTVALUE PROPERTY

ANNULARSTOPVALUE PROPERTY

Description

Determines the values at which the annular region begins and ends.  The values are numbers between ScaleMinValue and ScaleMaxValue for the scale specified by ScaleID (referenced through AnnularScaleID).

Usage

[form.]control.AnnularStartValue[ = single ]

[form.]control.AnnularStopValue[ = single ]

Remarks

The AnnularStartValue should be less than the AnnularStopValue.  See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularFloat, AnnularFloatOffset, AnnularID, AnnularInnerRadius, AnnularOuterRadius, Annulars and AnnularScaleID

Data Type

Single


Annulars
ANNULARS PROPERTY

Description

Determines the number of annular regions displayed on the control.  This property must be set before all other annular properties are entered (see example).  The AnnularID property is used to select the region to which annular properties apply.

Usage

[form.]control.Annulars[ = integer ]

Remarks

See the example for more information on setting annular properties.

Related Properties

AnnularColor, AnnularFloat, AnnularFloatOffset, AnnularID, AnnularInnerRadius, AnnularOuterRadius, AnnularScaleID, AnnularStartValue and AnnularStopValue

Data Type

Integer


AutoRedraw
AUTOREDRAW PROPERTY

Description

Determines whether the control is redraw manually or automatically.

Usage

[form.]control.AutoRedraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Automatic (default) - The operating system will redraw the control when it has time.

FALSE	Manual - The user is responsible for all redraw commands.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

Redraw

Data Type

Integer (Boolean)


BackgroundColor
BACKGROUNDCOLOR PROPERTY

Description

Determines the background color of the control.  It is ignored if BackgroundPicture is set.

Usage

[form.]control.BackgroundColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


BACKGROUNDPICTURE

Description

Determines the graphic to be displayed in the background of the control.

Usage

[form.]control.BackgroundPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time, specify the bitmap filename to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Data Type

Picture


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow styles of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

The property settings are:

Setting 	Description

0	None

1	Raised

2	Inset

Remarks

These properties have no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BorderType
BORDERTYPE PROPERTY

Description

Sets or returns the style of the border around the control.

Usage

[form.]control.BorderType[ = integer ]

Setting

The BoderType property settings are:

Setting 	Description

0 (None)	Border is not displayed.

1 (Bevel)	3D beveled border is displayed using the BevelInner, BevelOuter, BevelWidth and BorderWidth properties.

2 (Outline)	Frame style border is displayed using the OutlineAlign, OutlineColor, OutlineTitle and OutlineWidth properties.

Data Type

Integer (Enumerated)


BorderWidth
BORDERWIDTH PROPERTY

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Caption
CAPTION PROPERTY

Description

Determines the text displayed on the control for the caption currently selected by CaptionID.  The number of captions displayed is set by the Captions property.

Usage

[form.]control.Caption[ = string ]

Remarks

See the example for more information on setting caption properties.

Related Properties

CaptionColor, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

String


CaptionColor
CAPTIONCOLOR PROPERTY

Description

Determines the text color for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

Long


CaptionFontID
CAPTIONFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionFontID[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionID
CAPTIONID PROPERTY

Description

Assigns a unique ID to each caption.  This property must be set before any other caption property (except Captions).  The total number of captions is determined by the Captions property and CaptionID has valid values from 0 to Captions-1.

Usage

[form.]control.CaptionID[ = integer ]

Remarks

The number of Captions must be set before this property can be set.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionX
CAPTIONX PROPERTY

CAPTIONY PROPERTY

Description

Determines the vertical and horizontal position of the caption currently selected by the CaptionID property.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionX[ = single ]

[form.]control.CaptionY[ = single ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID and Captions

Data Type

Single


Captions
CAPTIONS PROPERTY

Description

Determines the number of captions displayed on the control.  This property must be set before all other caption properties are entered (see example).  The CaptionID property is used to select the caption to which caption properties apply.

Usage

[form.]control.Captions[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID, CaptionX and CaptionY

Data Type

Integer


Change
A CHANGE event is fired every time the left button is released when using the mouse to change the value of the control.


Contents

Global Majic Software, Inc.

AGauge Control

Properties	Events	Product Support	Copyright

Description:

The generic gauge control is a highly customizable gauge or meter control.  Properties are provided to modify the gauge's scales, tics, needles, annulars, captions, border and background.  The mouse can optionally be used to change needle values.

Scales:

Scales are used to define the extent of the units displayed by the gauge, the location of the gauge center, and the gauge's start and stop angles.  Multiple scales are supported.

Needles:

Needles can be displayed in a variety of shapes and sizes.  Properties are used to modify the needle's style, length, width, color and associated scale.  Multiple needles can be placed on a single gauge.

Hubs:

Hubs are decorative caps over the axis of rotation of a given needle.  Properties are used to modify the hub's style, radius, and associated scale.

Tics:

Tics are used to mark intervals on the gauge's face.  Properties are used to set the tic's style, start-stop values, interval, inner-outer radii, width, color, label positions, and associated scale.

Annulars:

Annulars are used for aesthetics as well as indicators of operating ranges.  Properties are provided to modify the annular's start-stop values, inner-outer radii, color, and associated scale.  Multiple annular regions can be placed on a single gauge.

Captions:

The gauge can be embellished with multiple captions to indicate the type of measurement being displayed, units used or any other informative or decorative labeling.


Events
Events:

Change

Click

GotFocus

LostFocus

MouseDown

MouseMove

MouseUp

Turn


Example
EXAMPLE - HOW TO BUILD A GAUGE

General Information

This [image] example will explain the process of building a generic gauge.  The  final product is shown in Figure 1.  The purpose of this example is to show how several of the control's properties relate to each other.  For example, it depicts how to use the Tic properties to setup multiple tic sets (with or without labels) to obtain a desired appearance.  In general, the steps for setting up tic marks are as follows: 1) set the number of tic sets (Gauge1.Tics=2); 2) set the unique id for the tic set (Gauge1.TicID=0); 3) set the other tic properties (Gauge1.TicScaleID=1); and 4) change TicID and repeat step 3 if desired.  This same process is used to set the properties for all the items contained in the control (scales, annulars, captions, fonts, etc.).  For simplicity, the steps for setting up this example are written out in Visual Basic script.  However, the values may also be assigned using the property list at design time.

Sample Code

'setup scales

Gauge1.Scales = 2

Gauge1.ScaleID = 0

Gauge1.ScaleStartAngle = -160

Gauge1.ScaleStopAngle = 160

Gauge1.ScaleMinValue = 0

Gauge1.ScaleMaxValue = 100

Gauge1.ScaleDirection = 0

Gauge1.ScaleID = 1

Gauge1.ScaleStartAngle = -90

Gauge1.ScaleStopAngle = 90

Gauge1.ScaleMinValue = 0

Gauge1.ScaleMaxValue = 10

Gauge1.ScaleDirection = 0

Gauge1.ScaleOriginX = 0.9

Gauge1.ScaleOriginY = -1.1

'setup fonts

Gauge1.Fonts = 3

Gauge1.FontID = 0

Gauge1.FontBold = True

Gauge1.FontName = "Arial"

Gauge1.FontSize = 12

Gauge1.FontID = 1

Gauge1.FontBold = False

Gauge1.FontItalic = True

Gauge1.FontName = "Arial"

Gauge1.FontSize = 12

Gauge1.FontID = 2

Gauge1.FontBold = False

Gauge1.FontItalic = False

Gauge1.FontName = "Arial"

Gauge1.FontSize = 10

'setup tic marks

Gauge1.Tics = 3

Gauge1.TicID = 0

Gauge1.TicScaleID = 0

Gauge1.TicStyle = 1

Gauge1.TicWidth = 0.05

Gauge1.TicColor = &H80&

Gauge1.TicDeltaValue = 10

Gauge1.TicStartValue = 0

Gauge1.TicStopValue = 100

Gauge1.TicInnerRadius = 0.7

Gauge1.TicOuterRadius = 0.85

Gauge1.TicLabel = True

Gauge1.TicLabelRadius = 1

Gauge1.TicFontID = 0

Gauge1.TicID = 1

Gauge1.TicScaleID = 0

Gauge1.TicStyle = 0

Gauge1.TicWidth = 0.01

Gauge1.TicDeltaValue = 10

Gauge1.TicStartValue = 5

Gauge1.TicStopValue = 95

Gauge1.TicInnerRadius = 0.7

Gauge1.TicOuterRadius = 0.8

Gauge1.TicID = 2

Gauge1.TicScaleID = 1

Gauge1.TicStyle = 0

Gauge1.TicWidth = 0.01

Gauge1.TicDeltaValue = 2

Gauge1.TicStartValue = 0

Gauge1.TicStopValue = 10

Gauge1.TicInnerRadius = 0.15

Gauge1.TicOuterRadius = 0.2

Gauge1.TicLabel = True

Gauge1.TicLabelRotated = True

Gauge1.TicLabelRadius = 0.3

Gauge1.TicFontID = 2

'setup annulars

Gauge1.Annulars = 3

Gauge1.AnnularID = 0

Gauge1.AnnularScaleID = 0

Gauge1.AnnularStartValue = 50

Gauge1.AnnularStopValue = 75

Gauge1.AnnularInnerRadius = 0.7

Gauge1.AnnularOuterRadius = 0.8

Gauge1.AnnularColor = &HFFFF&

Gauge1.AnnularID = 1

Gauge1.AnnularScaleID = 0

Gauge1.AnnularStartValue = 75

Gauge1.AnnularStopValue = 100

Gauge1.AnnularInnerRadius = 0.7

Gauge1.AnnularOuterRadius = 0.8

Gauge1.AnnularColor = &HFF&

Gauge1.AnnularID = 2

Gauge1.AnnularScaleID = 1

Gauge1.AnnularStartValue = 0

Gauge1.AnnularStopValue = 10

Gauge1.AnnularInnerRadius = 0.12

Gauge1.AnnularOuterRadius = 0.16

Gauge1.AnnularColor = &H808080

'setup captions

Gauge1.Captions = 2

Gauge1.CaptionID = 0

Gauge1.CaptionFontID = 0

Gauge1.Caption = "Generic Gauge"

Gauge1.CaptionX = -0.8

Gauge1.CaptionY = -1.1

Gauge1.CaptionID = 1

Gauge1.CaptionFontID = 1

Gauge1.Caption = "Units"

Gauge1.CaptionX = 0

Gauge1.CaptionY = 0.35

'setup needles

Gauge1.Needles = 2

Gauge1.NeedleID = 0

Gauge1.NeedleScaleID = 0

Gauge1.NeedleLength = 0.7

Gauge1.NeedleWidth = 0.2

Gauge1.NeedleStyle = 2

Gauge1.NeedleID = 1

Gauge1.NeedleScaleID = 1

Gauge1.NeedleColor = &HFF0000

Gauge1.NeedleLength = 0.15

Gauge1.NeedleWidth = 0.05

Gauge1.NeedleStyle = 0

'setup hubs

Gauge1.Hubs = 2

Gauge1.HubID = 0

Gauge1.HubColor = &H808080

Gauge1.HubScaleID = 0

Gauge1.HubScale = 0.2

Gauge1.HubID = 1

Gauge1.HubColor = &HFF&

Gauge1.HubScaleID = 1

Gauge1.HubScale = 0.04


Font Properties
FontBold, FontItalic, FontName, FontSize, FontStrike and FontUnder


FontDialog
FONTDIALOG PROPERTY

Description

Selecting this property (in design mode) launches the font dialog box shown below.  This dialog sets the font properties for the font currently selected by FontID.

Usage

This property can only be used at design time.  Use standard font properties to set fonts in code.

Related Properties

FontBold, FontID, FontItalic, FontName, Fonts, FontSize, FontStrike and FontUnder

Data Type

N/A


FontID
FONTID PROPERTY

Description

This property allows the control to display several different fonts by assigning a unique ID to each font.  The total number of fonts is determined by the Fonts property and FontID has valid values from 0 to Fonts-1.

Usage

[form.]control.FontID[ = integer ]

Remarks

The desired font is obtained by selecting the corresponding FontID (through the use of CaptionFontID for example).  See the example for more information on setting font properties.

Related Properties

CaptionFontID, FontBold, FontDialog, FontItalic, FontName, Fonts, FontSize, FontStrike, FontUnder, NeedleDigitalFontID and TicFontID

Data Type

Integer


Fonts
FONTS PROPERTY

Description

Determines the number of fonts displayed on the control.  This property must be set before all other font properties are entered (see example).  The FontID property is used to select the font to which other font properties apply.

Usage

[form.]control.Fonts[ = integer ]

Remarks

See the example for more information on setting font properties.

Related Properties

CaptionFontID, FontBold, FontDialog, FontID, FontItalic, FontName, FontSize, FontStrike, FontUnder, NeedleDigitalFontID and TicFontID

Data Type

Integer


FrameColor
FRAMECOLOR PROPERTY

Description

Determines the frame color surrounding the control's face.

Usage

[form.]control.FrameColor[ = color ]

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

FramePicture, FrameScaleX, FrameScaleY and FrameStyle

Data Type

Long


FramePicture
FRAMEPICTURE PROPERTY

Description

Determines the graphic to be displayed in the frame surrounding the control's face.

Usage

[form.]control.FramePicture[ = picture ]

Setting

The FramePicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

This property only applies when FrameStyle is not 0.  When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Related Properties

FrameColor, FrameScaleX, FrameScaleY and FrameStyle

Data Type

Picture


FrameScaleX
FRAMESCALEX PROPERTY

FRAMESCALEY PROPERTY

Description

Determines the vertical and horizontal size of the opening inside of the frame surrounding the control.  For a circular FrameStyle, FrameScaleY is ignored and FrameScaleX is used to define the radius of the opening.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleX[ = single ]

[form.]control.FrameScaleY[ = single ]

Related Properties

FrameColor, FramePicture and FrameStyle

Data Type

Single


FrameStyle
FRAMESTYLE PROPERTY

Description

Sets or returns the style of the frame surrounding the control.

Usage

[form.]control.FrameStyle[ = integer ]

Setting

The FrameStyle property settings are:

Setting 	Description

0 (None)	A frame is not displayed.

1 (Circle)	A circular frame is displayed using FrameScaleX as the internal radius.

2 (Rectangle)	A rectangular frame is displayed using the FrameScaleX and FrameScaleY properties to size the interior size of the frame.

Related Properties

FrameColor, FramePicture, FrameScaleX and FrameScaleY

Data Type

Integer (Enumerated)


HubColor
HUBCOLOR PROPERTY

Description

Determines the color for the hub currently selected by HubID.

Usage

[form.]control.HubColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting hub properties.

Related Properties

HubID, Hubs, HubScale and HubScaleID

Data Type

Long


HubID
HUBID PROPERTY

Description

Assigns a unique ID to each hub.  This property must be set before any other hub property (except Hubs).  The total number of hubs is determined by the Hubs property and HubID has valid values from 0 to Hubs-1.

Usage

[form.]control.HubID[ = integer ]

Remarks

The number of Hubs must be set before this property can be set.  See the example for more information on setting hub properties.

Related Properties

HubColor, Hubs, HubScale and HubScaleID

Data Type

Integer


HubScale
HUBSCALE PROPERTY

Description

Determines the radius of the hub currently selected by HubID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.HubScale[ = single ]

Remarks

See the example for more information on setting hub properties.

Related Properties

HubColor, HubID, Hubs and HubScaleID

Data Type

Single


HubScaleID
HUBSCALEID PROPERTY

Description

Determines the scale (designated by ScaleID) on which the hub currently selected by HubID is based.   The ScaleOriginX and ScaleOriginY properties determine the center of the hub.

Usage

[form.]control.HubScaleID[ = integer ]

Remarks

See the example for more information on setting hub properties.

Related Properties

HubColor, HubID, Hubs and HubScale

Data Type

Integer


Hubs
HUBS PROPERTY

Description

Determines the number of hubs displayed on the control.  This property must be set before all other hub properties (see example).  The HubID property is used to select the current hub to which hub properties apply.

Usage

[form.]control.Hubs[ = integer ]

Remarks

See the example for more information on setting hub properties.

Related Properties

HubColor, HubID, HubScale and HubScaleID

Data Type

Integer


MouseControl
MOUSECONTROL PROPERTY

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

TRUE	Allows the control's value to be modified with mouse input.

FALSE	Disables mouse input to the control.

Data Type

Integer (Boolean)


NeedleColor
NEEDLECOLOR PROPERTY

Description

Determines the color for the needle currently selected by NeedleID.

Usage

[form.]control.NeedleColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting needle properties.

Related Properties

NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Long


NeedleDigital
NEEDLEDIGITAL PROPERTY

Description

Enables or disables the digital display of the NeedleValue for the needle currently selected by NeedleID.

Usage

[form.]control.NeedleDigital[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	A digital readout of the current NeedleValue is displayed.

FALSE	No digital display.

Related Properties

NeedleColor, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Integer (Boolean)


NeedleDigitalColor
NEEDLEDIGITALCOLOR PROPERTY

Description

Determines the color of the digital display (if NeedleDigital=TRUE) for the needle currently selected by NeedleID.

Usage

[form.]control.NeedleDigitalColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Long


NeedleDigitalDecimals
NEEDLEDIGITALDECIMALS PROPERTY

Description

Determines how many places (to the right of the decimal) are displayed in the digital display (if NeedleDigital=TRUE).

Usage

[form.]control.NeedleDigitalDecimals[ = integer ]

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Integer


NeedleDigitalFontID
NEEDLEDIGITALFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the digital display for the needle currently selected by NeedleID.

Usage

[form.]control.NeedleDigitalFontID[ = integer ]

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Integer


NeedleDigitalX
NEEDLEDIGITALX PROPERTY

NEEDLEDIGITALY PROPERTY

Description

Determines the vertical and horizontal position of the digital display for the needle currently selected by the NeedleID property.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.NeedleDigitalX[ = single ]

[form.]control.NeedleDigitalY[ = single ]

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Single


NeedleID
NEEDLEID PROPERTY

Description

Assigns a unique ID to each needle.  This property must be set before any other needle property (except Needles).  The total number of needles is determined by the Needles property and NeedleID has valid values from 0 to Needles-1.

Usage

[form.]control.NeedleID[ = integer ]

Remarks

The number of Needles must be set before this property can be set.  See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Integer


NeedleLength
NEEDLELENGTH PROPERTY

NEEDLEWIDTH PROPERTY

Description

Determines the length and width of the needle currently selected by NeedleID.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.NeedleLength[ = single ]

[form.]control.NeedleWidth[ = single ]

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue and Shape

Data Type

Single


NeedleScaleID
NEEDLESCALEID PROPERTY

Description

Determines the scale (designated by ScaleID) on which the needle currently selected by NeedleID is based.  The ScaleOriginX and ScaleOriginY properties determine the origin of the needle.  The ScaleMaxValue and ScaleMinValue properties define the valid operating range for NeedleValue.

Usage

[form.]control.NeedleScaleID[ = integer ]

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Integer


NeedleStyle
NEEDLESTYLE PROPERTY

Description

Determines the style of the needle currently selected by NeedleID.

Usage

[form.]control.NeedleStyle[ = integer ]

Setting

The NeedleStyle property settings are:

Setting 	Description

0 	Pointer

1 	Triangle

2	Arrow

3 	User Defined - displays the needle defined by the NeedleShape or Shape property.

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleValue, NeedleWidth and Shape

Data Type

Integer (Enumerated)


NeedleValue
NEEDLEVALUE PROPERTY

Description

Determines the value of the needle currently selected by NeedleID.  The NeedleValue is a number between ScaleMinValue and ScaleMaxValue.  The corresponding scale is referenced by the NeedleScaleID property.

Usage

[form.]control.NeedleValue[ = single ]

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleShape, NeedleStyle, NeedleWidth and Shape

Data Type

Single


Needles
NEEDLES PROPERTY

Description

Determines the number of needles displayed on the control.  This property must be set before needle properties are entered (see example).  The NeedleID property is used to select the needle to which needle properties apply.

Usage

[form.]control.Needles[ = integer ]

Remarks

See the example for more information on setting needle properties.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, NeedleScaleID, NeedleShape, NeedleStyle, NeedleValue, NeedleWidth and Shape

Data Type

Integer


OutlineAlign
OUTLINEALIGN PROPERTY

Description

Determines the alignment of the OutlineTitle at the top of the control.  This property only applies when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineAlign[ = integer ]

Setting

The OutlineAlign property settings are:

Setting 	Description

0	Left

1	Right

2	Center

Related Properties

BorderType, OutlineColor, OutlineTitle and OutlineWidth

Data Type

Integer (Enumerated)


OutlineColor
OUTLINECOLOR PROPERTY

Description

Determines the color of the outline frame (and OutlineTitle) surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

BorderType, OutlineAlign, OutlineTitle and OutlineWidth

Data Type

Long


OutlineTitle
OUTLINETITLE PROPERTY

Description

Determines the text displayed as the title in the outline frame surrounding the control when the BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineTitle[ = string ]

Related Properties

BorderType, OutlineAlign, OutlineColor and OutlineWidth

Data Type

String


OutlineWidth
OUTLINEWIDTH PROPERTY

Description

Determines the thickness (in pixels) of the outline frame surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineWidth[ = integer ]

Related Properties

BorderType, OutlineAlign, OutlineColor and OutlineTitle

Data Type

Integer


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

AnnularColor	FrameColor	Redraw
AnnularFloat	FramePicture	ScaleDirection
AnnularFloatOffset	FrameScaleX	ScaleID
AnnularID	FrameScaleY	ScaleMaxValue
AnnularInnerRadius	FrameStyle	ScaleMinValue
AnnularOuterRadius	Height	ScaleOriginX
Annulars	HubColor	ScaleOriginY
AnnularScaleID	HubID	Scales
AnnularStartValue	Hubs	ScaleStartAngle
AnnularStopValue	HubScale	ScaleStopAngle
AutoRedraw	HubScaleID	Shape
BackgroundColor	Index	TabIndex
BackgroundPicture	Left	TabStop
BevelInner	MouseControl	Tag
BevelOuter	MousePointer	TicColor
BevelWidth	Name	TicDeltaValue
BorderType	NeedleColor	TicFloat
BorderWidth	NeedleDigital	TicFloatOffset
Caption	NeedleDigitalColor	TicFontID
CaptionColor	NeedleDigitalDecimals	TicID
CaptionFontID	NeedleDigitalFontID	TicInnerRadius
CaptionID	NeedleDigitalX	TicLabel
Captions	NeedleDigitalY	TicLabelRadius
CaptionX	NeedleID	TicLabelRotated
CaptionY	NeedleLength	TicOuterRadius
Enabled	Needles	Tics
FontBold	NeedleScaleID	TicScaleID
FontDialog	NeedleShape	TicStartValue
FontID	NeedleStyle	TicStopValue
FontItalic	NeedleValue	TicStyle
FontName	NeedleWidth	TicWidth
Fonts	OutlineAlign	Top
FontSize	OutlineColor	Visible
FontStrike	OutlineTitle	Width
FontUnder	OutlineWidth


Redraw
REDRAW PROPERTY

Description

Issues a redraw command to the control if AutoRedraw=FALSE.

Usage

[form.]control.Redraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Issue a redraw command.

FALSE	Does not issue redraw command.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

AutoRedraw

Data Type

Integer (Boolean)


ScaleDirection
SCALEDIRECTION PROPERTY

Description

Determines the direction of increasing values for the control (from ScaleMinValue to ScaleMaxValue).

Usage

[form.]control.ScaleDirection[ = integer ]

Setting

The ScaleDirection property settings are:

Setting 	Description

0	Clockwise

1	Counter Clockwise

Remarks

See the example for more information on setting scale properties.

Related Properties

ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle and ScaleStopAngle

Data Type

Integer (Enumerated)


ScaleID
SCALEID PROPERTY

Description

Assigns a unique ID to each scale. This property must be set before any other scale property (except Scales).  The total number of scales is determined by the Scales property and ScaleID has valid values from 0 to Scales-1.

Usage

[form.]control.ScaleID[ = integer ]

Remarks

Scales are used to define the location of the gauge's center, start and stop angles, and its minimum and maximum displayed values.  See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle and ScaleStopAngle

Data Type

Integer


ScaleMaxValue
SCALEMAXVALUE PROPERTY

SCALEMINVALUE PROPERTY

Description

Determines the maximum and minimum values available in the scale.  If ScaleDirection is set to clockwise, then ScaleMinValue is located at ScaleStartAngle and ScaleMaxValue is located at ScaleStopAngle.  The converse is true if ScaleDirection is set to counter-clockwise.

Usage

[form.]control.ScaleMaxValue[ = single ]

[form.]control.ScaleMinValue[ = single ]

Remarks

The ScaleMaxValue should be greater than the ScaleMinValue.  See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleID, ScaleOriginX, ScaleOriginY, Scales, ScaleStartAngle and ScaleStopAngle

Data Type

Single


ScaleOriginX
SCALEORIGINX PROPERTY

SCALEORIGINY PROPERTY

Description

Determines the vertical and horizontal position of the scale center.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0, where a value of 0.0 is located in the center of the control.

Usage

[form.]control.ScaleOriginX[ = single ]

[form.]control.ScaleOriginY[ = single ]

Remarks

See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, Scales, ScaleStartAngle and ScaleStopAngle

Data Type

Single


ScaleStartAngle
SCALESTARTANGLE PROPERTY

SCALESTOPANGLE PROPERTY

Description

Determines the angular extents of the control.  When ScaleDirection is set to 0 (Clockwise), the ScaleStartAngle corresponds to ScaleMinValue and when ScaleDirection is set to 1 (Counter Clockwise), the ScaleStartAngle corresponds to ScaleMaxValue.  The ScaleStopAngle property behaves in a similar fashion.

Usage

[form.]control.ScaleStartAngle[ = single ]

[form.]control.ScaleStopAngle[ = single ]

Remarks

Start and stop angles are bound between 0 and 360 degrees.  Values outside this range are automatically corrected.  See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY and Scales

Data Type

Single


Scales
SCALES PROPERTY

Description

Determines the number of scales used to define the control.  This property must be set before all other scale properties are entered (see example).  The ScaleID property is used to select the scale to which scale properties apply.

Usage

[form.]control.Scales[ = integer ]

Remarks

See the example for more information on setting scale properties.

Related Properties

ScaleDirection, ScaleID, ScaleMaxValue, ScaleMinValue, ScaleOriginX, ScaleOriginY, ScaleStartAngle and ScaleStopAngle

Data Type

Integer


Shape
NEEDLESHAPE PROPERTY

SHAPE PROPERTY

Description

These properties determine the shape of user defined needles and only apply when NeedleStyle = 3 (User Defined).  Although the function of both properties is the same, their uses are slightly different.  When a user defined needle style is selected, the control first uses the NeedleShape property (for the needle currently selected by NeedleID) to define the needle shape.  If no NeedleShape has been defined it then uses the Shape property.  This is extremely flexible in that it allows needle shapes to be defined locally (NeedleShape) or globally (by defaulting to Shape).

These properties define a polygon made from a list of x,y coordinate pairs.  The needle shape is defined using a coordinate system in which (0,0) is located at the center of the gauge and the tip of the needle is typically defined as (0,1000).

Usage

[form.]control.NeedleShape[ = string ]

[form.]control.Shape[ = string ]

Example

Gauge1.Shape = "250,0,   250,750,   500,750,   0,1000,   -500,750,   -250,750,   -250,0"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

The following image is a screen snap shop of this Shape used in a simple gauge control.

Related Properties

NeedleColor, NeedleDigital, NeedleDigitalColor, NeedleDigitalDecimals, NeedleDigitalFontID, NeedleDigitalX, NeedleDigitalY, NeedleID, NeedleLength, Needles, NeedleScaleID, NeedleStyle, NeedleValue and NeedleWidth

Data Type

String


TicColor
TICCOLOR PROPERTY

Description

Determines the color for the tic set currently selected by TicID.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting tic properties.

Related Properties

TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Long


TicDeltaValue
TICDELTAVALUE PROPERTY

Description

Determines the interval value between tic marks for the tic set currently selected by TicID.

Usage

[form.]control.TicDeltaValue[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Single


TicFloat
TICFLOAT PROPERTY

Description

Determines whether or not the tic set (currently selected by TicID) is static or dynamic.  If TicFloat=TRUE (Dynamic), then the tic set may be moved at run-time through the use of code.

Usage

[form.]control.TicFloat[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Dynamic (movable) Tic Set

FALSE	Static Tic Set

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer (Boolean)


TicFloatOffset
TICFLOATOFFSET PROPERTY

Description

Sets or returns the offset value of the tic set currently selected by TicID.  Essentially, this property is used to shift tic sets (if TicFloat=TRUE) by adding the offset to TicStartValue.  For example, if TicStartValue.=2, TicSopValue.=4 and TicFloatOffset=1, then the tic set will range from three (3) to five (5) instead of two (2) to four (4).  This is useful when trying to display a "floating" gauge (a gauge where the needle remains stationary and the tics and/or annulars move) such as a compass.

Usage

[form.]control.TicFloatOffset[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Single


TicFontID
TICFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the labels of the tic set currently selected by TicID.

Usage

[form.]control.TicFontID[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer


TicID
TICID PROPERTY

Description

Assigns a unique ID to each tic set.  This property must be set before any other tic property (except Tics).  The total number of tic sets is determined by the Tics property and TicID has valid values from 0 to Tics-1.

Usage

[form.]control.TicID[ = integer ]

Remarks

The number of Tics must be set before this property can be set.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer


TicInnerRadius
TICINNERRADIUS PROPERTY

TICOUTERRADIUS PROPERTY

Description

Determines the inner and outer radii of the tic set currently selected by TicID.  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.TicInnerRadius[ = single ]

[form.]control.TicOuterRadius[ = single ]

Remarks

The inner radius should be less than the outer radius.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicLabel, TicLabelRadius, TicLabelRotated, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Single


TicLabel
TICLABEL PROPERTY

Description

Enables or disables labels at each tic mark for the tic set currently selected by TicID.  The position of the tic labels is defined by the TicLabelRadius property.

Usage

[form.]control.TicLabel[ = {TRUE|FALSE} ]

Setting

The TicLabel property settings are:

Setting 	Description

TRUE	Labels are displayed.

FALSE	Labels are NOT displayed.

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer (Boolean)


TicLabelRadius
TICLABELRADIUS PROPERTY

Description

Sets or returns the radius where labels are displayed for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicLabelRadius[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Single


TicLabelRotated
TICLABELROTATED PROPERTY

Description

Determines whether the labels for the tic set currently selected by TicID are oriented with respect to the control (Figure 1) or the tic mark (Figure 2).

Figure 1	Figure 2

This feature is useful when trying to display a "floating" gauge (a gauge where the needle remains stationary and the tics and/or annulars move) such as a compass.

Usage

[form.]control.TicLabelRotated[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Oriented with respect to tic mark

FALSE	Oriented with respect to control

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer (Boolean)


TicScaleID
TICSCALEID PROPERTY

Description

Determines the scale (designated by ScaleID) on which the tic set currently selected by TicID is based.  The TicStartValue and TicStopValue properties must fall within the range defined by ScaleMaxValue and ScaleMinValue.

Usage

[form.]control.TicScaleID[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer


TicStartValue
TICSTARTVALUE PROPERTY

TICSTOPVALUE PROPERTY

Description

Determines the values at which the tic marks start and stop for the tic set currently selected by TicID.  These values are numbers between ScaleMinValue and ScaleMaxValue for the scale referenced by TicScaleID.

Usage

[form.]control.TicStartValue[ = single ]

[form.]control.TicStopValue[ = single ]

Remarks

The TicStartValue should be less than the TicStopValue.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStyle and TicWidth

Data Type

Single


TicStyle
TICSTYLE PROPERTY

Description

Determines the style of the tic set currently selected by TicID.

Usage

[form.]control.TicStyle[ = integer ]

Setting

The TicStyle property settings are:

Setting 	Description

0	Rectangle

1	Triangle

2	Diamond

3	Circle

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue and TicWidth

Data Type

Integer (Enumerated)


TicWidth
TICWIDTH PROPERTY

Description

Determines the width of the tic marks for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicWidth[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, Tics, TicScaleID, TicStartValue, TicStopValue and TicStyle

Data Type

Single


Tics
TICS PROPERTY

Description

Determines the number of tic sets displayed on the control.  This property must be set before all other tic properties are entered (see example).  The TicID property is used to select the tic set to which tic properties apply.

Usage

[form.]control.Tics[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDeltaValue, TicFloat, TicFloatOffset, TicFontID, TicID, TicInnerRadius, TicLabel, TicLabelRadius, TicLabelRotated, TicOuterRadius, TicScaleID, TicStartValue, TicStopValue, TicStyle and TicWidth

Data Type

Integer


Turn
A TURN event is fired every time the control's value changes while the left mouse button is down.


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


UNITLESS SCALE

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control (instead of twips or pixels).  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height  measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control.  The unit scale used, however, is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.

NOTE:	For some variables (i.e., radii, width, etc.), the valid range of the unitless scale is from 0 to 1 (negative values have no meaning)